#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel pixels3 = Adafruit_NeoPixel(19, 3, NEO_GRB + NEO_KHZ800);
// Décrire cette fonction
void Rouge() {
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,0));
  pixels3.show();
}

// Décrire cette fonction
void RougeProgressif() {
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
}

// Décrire cette fonction
void Vert() {
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,0));
  pixels3.show();
}

// Décrire cette fonction
void VertProgressif() {
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,255,0));
  pixels3.show();
  delay(500);
}

// Décrire cette fonction
void Bleu() {
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,0));
  pixels3.show();
}

// Décrire cette fonction
void BleuProgressif() {
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(17, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(16, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(12, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(10, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(8, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(7, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(6, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(5, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(3, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
  pixels3.setPixelColor(2, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,255));
  pixels3.show();
  delay(500);
}

// Décrire cette fonction
void RVBprogressif() {
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(3, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  delay(200);
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  delay(200);
}

// Décrire cette fonction
void Eteindre() {
  pixels3.setPixelColor(18, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(0,0,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,0,0));
  pixels3.show();
}

// Décrire cette fonction
void RVB() {
  pixels3.setPixelColor(18, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(17, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(16, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(15, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(14, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(13, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(12, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(11, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(10, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(9, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(8, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(7, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(6, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(5, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(4, pixels3.Color(0,0,255));
  pixels3.show();
  pixels3.setPixelColor(3, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(0, pixels3.Color(0,255,0));
  pixels3.show();
  pixels3.setPixelColor(2, pixels3.Color(255,0,0));
  pixels3.show();
  pixels3.setPixelColor(1, pixels3.Color(255,0,0));
  pixels3.show();
  delay(500);
}


void setup() {
  pinMode(3, OUTPUT);
  pixels3.begin();
    pixels3.setBrightness(60);

}

void loop() {
  for (int count = 0; count < 1; count++) {
    RougeProgressif();
    Eteindre();
    delay(200);
    VertProgressif();
    Eteindre();
    delay(200);
    BleuProgressif();
    Eteindre();
    delay(200);
  }
  for (int count = 0; count < 1; count++) {
    RVBprogressif();
    Eteindre();
    delay(500);
  }
  for (int count = 0; count < 5; count++) {
    RVB();
    Eteindre();
    delay(500);
  }

}
